<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;
use Session;

/// enlazamos con el CreateMessageRequest, que lo hemos creado manualmente con php artisan make: request CreateMessageRequest

use App\Http\Requests\CreateMessageRequest;


class PagesController extends Controller
{
    public function home($hizk)
    {
    	
    	///  ALMACENO EN UNA VARIABLE DE SESIÓN EL IDIOMA SELECCIONADO 

    	session(['hizkuntza' =>$hizk]);
    	$hizkuntza = session('hizkuntza');
    	
    	if ($hizkuntza=='es') 
 			return view("home_es");
 		else
 			return view("home");
    }

   
    public function esk_adin_arab(Request $request)
    {
    	request()->validate([
    		'edad' => 'required',  		
    		
    	]);   	
    	
    	if ($request->edad=="menor") {
    		return view('menor'); 
    	}

    	if ($request->edad=="txikia") {
    		return view('txikia'); 
    	}

    	if ($request->edad=="mayor") {
    		return view('mayor'); 
    	}

    	if ($request->edad=="nagusia") {
    		return view('nagusia'); 
    	} 	 
    }

    public function ord_behar_txikia(Request $request)
    {   	
    	
    	request()->validate([
    		'NPERSONAS' => 'required',  
    		'TOTALINGRESOS' => 'required',  
    		'TIPOFAMILIA' => 'required',  
    		'MENORES25' => 'required',  
    		'DISCAPACIDAD' => 'required',  	
    		
    	]);

    	$hizkuntza = session('hizkuntza');


    	/////        4. SI ES FAMILIA MONOPARENTAL, BASE * 0.9

    	if ($request->TIPOFAMILIA=='MONOPARENTAL') {
    		$BASE=$request->TOTALINGRESOS*0.9;}
  		else $BASE=$request->TOTALINGRESOS;    		


    	
		/////        5. SEGÚN NUMERO DE HIJOS: 

		// -MENOS DE 3, SE RESTA 2000 POR CADA UNO A LA BASE
		// -MÁS DE 3, SE RESTA 3000 POR CADA UNO A LA BASE

		if($request->MENORES25<3)
			$BASE=$BASE-($request->MENORES25*2000);
		else
			$BASE=$BASE-($request->MENORES25*3000);



		/////         6.DISCAPACIDAD

		if ($request->DISCAPACIDAD=="SI") {
			if (is_numeric($request->PORCENTAJEDISCAPACIDAD3365) AND $request->PORCENTAJEDISCAPACIDAD3365>0) {
				$BASE = $BASE-($request->PORCENTAJEDISCAPACIDAD3365*1800);
			}
			if (is_numeric($request->PORCENTAJEDISCAPACIDAD65) AND $request->PORCENTAJEDISCAPACIDAD65>0) {
				$BASE = $BASE-($request->PORCENTAJEDISCAPACIDAD65*4000);
			}
		}


		///// BUSCO EN LA BASE DE DATOS SEGÚN EL NÚMERO DE PERSONAS CON INGRESOS		
    	    	

    	$tramos = DB::table('tramos')
	        ->where('NPERSONAS', $request->NPERSONAS)
	        ->first();
	    
	    //// BUSCO EL VALOR DE BASE SEGÚN EL TRAMO 

	    if ($BASE<$tramos->tramo1) {
	    	$tramo = '0';
	    }
	    else
	    	if ($BASE<$tramos->tramo2) {
	    		$tramo = '35';
	    	}
	    	else
	    		if ($BASE<$tramos->tramo3) {
	    			$tramo = '75';
	    		}
	    		else
	    			$tramo = '100';

	    if ($hizkuntza=='es') {
	    	 return view('porcentaje', compact('tramo')); 
	    }
	    else
	   		return view('portzentaia', compact('tramo'));  
    	} 	


public function ord_behar_handia(Request $request)
    {     	
    	
    	request()->validate([
    		
    		'TOTALINGRESOS' => 'required',  
    		'TIPOFAMILIA' => 'required',  
    		'MENORES25' => 'required',  
    		'DISCAPACIDAD' => 'required', 
    		'DISCAPACIDAD25' => 'required',  	
    		
    	]);

    	$hizkuntza = session('hizkuntza');
    	$MONOPARENTAL= 'NO';

    	/////   3. FAMILIA MONOPARENTAL, BASE * 0.9

    	if ($request->TIPOFAMILIA=='MONOPARENTAL') {
    		$BASE=$request->TOTALINGRESOS*0.9;
    		$MONOPARENTAL='SI';    		
    		}
  		else $BASE=$request->TOTALINGRESOS; 

		
		/////   4. HIJOS MENORES DE 25: 
    	
    	///// 	MONOPARENTAL
		// 		-MENOS DE 3, SE RESTA 2000 POR CADA UNO A LA BASE
		// 		-MÁS DE 3, SE RESTA 3000 POR CADA UNO A LA BASE

		
		if ($MONOPARENTAL=='SI') {
			if($request->MENORES25<3){
				$BASE=$BASE-($request->MENORES25*2000);					 
				}
			else{
				$BASE=$BASE-($request->MENORES25*3000);
				$MONOPARENTAL='NO'; 				
			}		
		}

		///// 	NO_MONOPARENTAL
		// 		-MENOS DE 3, SE RESTA 1000 POR CADA UNO A LA BASE
		// 		-MÁS DE 3, SE RESTA 1500 POR CADA UNO A LA BASE

		else 
			if($request->MENORES25<3)
				$BASE=$BASE-($request->MENORES25*1000);
			else
				$BASE=$BASE-($request->MENORES25*1500);					
			

		/////    5.DISCAPACIDAD SOLICITANTE
		/// 	 SI TIENE 33-65, LA BASE -1800 POR CADA PERSONA
		///		 SI TIENE MÁS DE 65, -4000 POR CADA PERSONA
		

		if($request->DISCAPACIDAD=='SI'){

			if ($request->PORCENTAJEDISCAPACIDAD=='33-65') 				
					$BASE = $BASE-1800;
				
			if ($request->PORCENTAJEDISCAPACIDAD=='65') {
					$BASE = $BASE-4000;
				}
		}					

		//////		6. DISCAPACIDAD HIJOS MENORES DE 25 AÑOS

		/// 33-65
		/// SI ES MONOPARENTAL, BASE -1800 POR CADA HIJO
		/// SI NO, 900 POR CADA HIJO				

		if($MONOPARENTAL=='SI'){

			if ($request->DISCAPACIDAD25=="SI") {
				if (is_numeric($request->PORCENTAJEDISCAPACIDAD25_3365) AND $request->PORCENTAJEDISCAPACIDAD25_3365>0) {
					$BASE = $BASE-($request->PORCENTAJEDISCAPACIDAD25_3365*1800);
				}
				if (is_numeric($request->PORCENTAJEDISCAPACIDAD25_65) AND $request->PORCENTAJEDISCAPACIDAD25_65>0) {
					$BASE = $BASE-($request->PORCENTAJEDISCAPACIDAD25_65*4000);
				}
			}
		}

		else {

			if ($request->DISCAPACIDAD25=="SI") {
				if (is_numeric($request->PORCENTAJEDISCAPACIDAD25_3365) AND $request->PORCENTAJEDISCAPACIDAD25_3365>0) {
					$BASE = $BASE-($request->PORCENTAJEDISCAPACIDAD25_3365*900);
				}
				if (is_numeric($request->PORCENTAJEDISCAPACIDAD25_65) AND $request->PORCENTAJEDISCAPACIDAD25_65>0) {
					$BASE = $BASE-($request->PORCENTAJEDISCAPACIDAD25_65*2000);
				}
			}
		}		
    	
    	$tramos = DB::table('tramos')
	        ->where('NPERSONAS', '1')
	        ->first();	        

	    if ($BASE<$tramos->tramo1) 
	    	$tramo = '0';	  
	    else
	    	if ($BASE<$tramos->tramo2) 
	    		$tramo = '35';	    	
	    	else
	    		if ($BASE<$tramos->tramo3) 
	    			$tramo = '75';	    		
	    		else
	    			$tramo = '100';

	    if ($hizkuntza=='es')
	    	 return view('porcentaje', compact('tramo')); 
	    
	    else
	   		return view('portzentaia', compact('tramo'));
    	} 
    
}